Method: projects.locations.collections.engines.assistants.issueBrowserContextKey

Issues an ephemeral browser context encryption key for encrypting tab context files prior to upload.

HTTP request


POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:issueBrowserContextKey

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the Assistant serving the request. Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

Request body

The request body must be empty.

Response body

Response for AssistantService.IssueBrowserContextKey.

If successful, the response body contains data with the following structure:

JSON representation
{
  "publicKeyset": string,
  "wrappedKeyset": string
}
Fields
publicKeyset

string (bytes format)

The serialized Tink HPKE public keyset (google.crypto.tink.Keyset with ASYMMETRIC_PUBLIC key material) for encrypting browser context files in the browser.

A base64-encoded string.

wrappedKeyset

string (bytes format)

The wrapped HPKE private keyset to pass back in StreamAssistRequest.browser_context.encryption_metadata.wrapped_keyset.

A base64-encoded string.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.assistants.assist

For more information, see the IAM documentation.